import * as React from 'react';
import { CSSProperties } from "react";
export interface ButtonProps {
    duration: number;
    /** What background color to use */
    className?: string;
    /** How large should the button be? */
    size?: 'small' | 'medium' | 'large';
    /** How should the button be? rectangle or circle */
    model?: 'standard' | 'circle';
    /** Button contents */
    label: string;
    /** Optional click handler */
    onClick?: () => void;
    /** Optional fragment */
    fragment?: 'a' | 'button';
    style: object;
}
export declare class Button extends React.Component<ButtonProps & CSSProperties> {
    el: HTMLButtonElement | HTMLAnchorElement | null;
    ripple: HTMLElement;
    defaultProps: {
        duration: number;
        fragment: string;
        onClick: (e: any) => any;
    };
    /**
     * Initialisation of the wave effect after the component did mount
     */
    componentDidMount(): void;
    triggerEffect(e: any): void;
    isWindow(obj: any): boolean;
    getWindow(elem: any): any;
    offset(): {
        top: number;
        left: number;
    };
    showEffect(e: any): false | undefined;
    convertStyle(obj: Object): string;
    hideEffect(): void;
    render(): React.JSX.Element;
}
